* {
    margin: 0;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

html {
    height: 100%;
    width: 100%;
}

body {
    background-attachment: fixed;
    background-image: url("./index_back.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    height: 100%;
    position: fixed;
    width: 100%;
}

#container {
    background-color: rgba(0, 0, 0, 0.6745);
    height: 100%;
}


/*Empty header layout*/
#empty {
    height: 10%;
    margin-bottom: 5%;
    margin-top: 0;
    position: relative;
    width: 100%;
}

/*Style of main content*/
.indexContent {
    color: white;
    height: 75%;
    position: relative;
    text-align: center;
    width: 100%;
}

.indexContent h2 {
    font-size: 2.25em;
    position: absolute;
    top: 15%;
    width: 100%;
}

.indexContent p {
    font-size: 1.5em;
    left: 50%;
    max-width: 80%;
    position: absolute;
    transform: translateX(-50%);
    width: 100%;
}

/*Style of button*/
.m-button {
    background-color: rgba(0, 0, 0, 0);
    border: 3px white;
    border-radius: 16px;
    border-style: solid;
    color: white;
    cursor: pointer;
    font-size: 1.75em;
    outline: none;
    padding: 0.357em 1.429em;
    position: absolute;
    text-align: center;
    top: 45%;
    transform: translateX(-50%);
    transition: background-color 0.35s;
}

.m-button:hover {
    background-color: rgba(204, 204, 204, 0.2);
    transition: background-color 0.35s;
}


/*Footer, contains copyright info and ICP number*/
footer {
    bottom: 0;
    color: white;
    font-size: 1em;
    height: 10%;
    position: fixed;
    text-align: center;
    width: 100%;
}

footer #siteInfo {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
}